// Dialogprozedur fr (einstellungs-losen) Konfigurationsdialog
#include "Krb5Plugin.h"

EXTERN_C BOOL CALLBACK ConfigDlgProc(HWND Wnd,UINT Msg,WPARAM wParam,LPARAM lParam) {
 switch (Msg) {
  case WM_INITDIALOG: {
   krb5_error_code err;
   krb5_context context;
   char	*realm;
   TCHAR s[256];
   err = krb5_init_context(&context);
   if (!err) {
    err = krb5_get_default_realm(context,&realm);
    if (!err) {
     MultiByteToWideChar(CP_UTF8,0,realm,-1,s,elemof(s));
     krb5_free_default_realm(context,realm);
    }else LoadString(hInst,101,s,elemof(s));	//"Fehler beim Bestimmen der Zelle."
    SetDlgItemText(Wnd,10,s);
   }
   if (context) krb5_free_context(context);
  }return TRUE;
  
  case WM_COMMAND: switch (wParam) {	// nur Buttons, LOWORD() kann entfallen
   case IDOK:
   case IDCANCEL: EndDialog(Wnd,wParam);
  }break;
 }
 return FALSE;
}
