#pragma once

#include "krb5.h"

#define KRB5PLUGIN_API extern "C" __declspec(dllexport)

typedef struct pGinaInfo {
 LPTSTR pathMSGina;
 LPTSTR pathPlugin;
 LPTSTR pathProfile;
 LPTSTR mapPaths;
 LPTSTR Username;
 LPTSTR Password;
 LPTSTR homeDir;
 BOOL isAdmin;
 BOOL disabled;
 int authType;
 HANDLE hUser;
 LPTSTR userGroups;
 LPTSTR userDescription;
 LPTSTR userFullName;
 BOOL allowPassChange;
 LPTSTR errorString;
 LPTSTR defaultDomain;
 BOOL Reserved3;
 BOOL Reserved4;
} pGinaInfo;


KRB5PLUGIN_API BOOL UserLogin(LPTSTR,LPTSTR,pGinaInfo*);
KRB5PLUGIN_API BOOL ChangeUserPassword(LPTSTR,LPTSTR,LPTSTR);
KRB5PLUGIN_API LPCTSTR AboutPlugin(void);
KRB5PLUGIN_API void ChangePluginSettings(void);
KRB5PLUGIN_API void LoginHook(pGinaInfo*);
KRB5PLUGIN_API void LogoutHook(pGinaInfo*);
KRB5PLUGIN_API BOOL IsRequired(void);

#undef RtlZeroMemory
EXTERN_C void WINAPI RtlZeroMemory(PVOID,SIZE_T);

extern HINSTANCE hInst;
#define T(x) TEXT(x)
#define elemof(x) (sizeof(x)/sizeof(*(x)))
//ConfigDialog.cpp
EXTERN_C BOOL CALLBACK ConfigDlgProc(HWND,UINT,WPARAM,LPARAM);
